package de.ivu.elect.presentation.wahl.table;

import java.util.ArrayList;
import java.util.List;

import javax.enterprise.inject.Specializes;

import de.ivu.elect.business.wahl.entity.Wahl;
import de.ivu.elect.jee.presentation.dynamictable.ColumnEntry;

@Specializes
public class NlWasBasisWahlColumnBuilder extends WasBasisWahlColumnBuilder{

  private static final long serialVersionUID = 1L;

  @Override
  public void initColumns() {
    super.initColumns();
    wahlWahlartColumn = new NlWahlWahlartColumn(messages);
  }

  @Override
  public List<ColumnEntry<? super Wahl>> getColumnEntriesSorted() {
    List<ColumnEntry<? super Wahl>> result = new ArrayList<>();

    result.add(wahlFarbeColumn);
    result.add(wahlWahlartColumn);
    result.add(wahlWahlterminColumn);
    result.add(wahlNameColumn);

    return result;
  }
}
